[1&1] Bientôt la fin du PHP4

Discussion dans 'Développement d'un site Web ou d'une appli mobile' créé par wattie, 13 Mars 2013.

  1. wattie
    wattie WRInaute discret
    Inscrit:
    9 Septembre 2008
    Messages:
    93
    J'aime reçus:
    0
    Pour être exact, le 01/04/13. Ce n'est pas les mayas qui le disent mais 1and1 lui même. Comme expliqué en bas de page :
    -http://faq.1and1.fr/scripts/php/upgrade_de_php/10.html
    Y a t-il encore des sites qui tournent en PHP4 ?
     
  2. loran750
    loran750 WRInaute passionné
    Inscrit:
    15 Mars 2005
    Messages:
    2 019
    J'aime reçus:
    0
    salut Wattie

    et pas que ça : tous les sites faits pour tourner en PHP 5.2 et 5.3 puisque la version minimale de PHP chez 1&1 sera PHP 5.4.

    Cela met en péril par exemple tous les sites faits sous Joomla 1.5. Et ils sont nombreux

    (si c'est le cas, j'ai une solution pour vous, MP moi).

    cdt
     
  3. zeb
    zeb WRInaute accro
    Inscrit:
    5 Décembre 2004
    Messages:
    12 192
    J'aime reçus:
    1
    J'ai un site pas compatible 5.4 chez eux et ça fait deux mois que j'ai relancé mon beau frère pour qu'on se penche sur une nouvelle version (en lui expliquant que de toute façon dans qques semaines ce serait le blackout total) .... J'attends tjs des nouvelles malgré mes relances je sent que le réveil va être douloureux pour lui ... :lol:
     
  4. JanoLapin
    JanoLapin WRInaute accro
    Inscrit:
    21 Septembre 2008
    Messages:
    4 250
    J'aime reçus:
    0
    @zeb: il y a un truc très simple: tu l'appelles, et sous ses yeux, tu colles un htaccess sur son site pour le passer en php5, et tu écoutes ton beauf' regarder le résultat.

    Perso moi j'ai encore chez eux au moins un script assez lourd et important et que je n'arrive toujours pas à migrer sous PhP5, du fait de nombreuses difficultés. J'ai par contre une bonne expérience de leur hotline: après avoir passé le niveau 1, qui ne vaut rien, j'ai eu (et ai encore) affaire à des gens compétents et sérieux. Sur ce coup-là, ils essaient vraiment d'aider.
     
  5. wattie
    wattie WRInaute discret
    Inscrit:
    9 Septembre 2008
    Messages:
    93
    J'aime reçus:
    0
    Je ne savais pas que la situation était à ce point. Si même certaines versions de PHP5 sont obsolètes le 1er Mai, cela va donner un sacré bug de l'an 2000 version fête du travail :D. Et personne pour répondre au téléphone ce jour là !

    Plus sérieusement, cette situation est à marquer d'une pierre blanche car c'est la première fois (il me semble) qu'un hébergeur pousse à suivre les évolutions technologiques du monde du web en arrêtant de fournir de son propre chef un service qui il est vrai n'est plus d'actualité. Fini le développement d’antan, un peu à l’arrache, sans prendre la peine de suivre les dernières consignes de développement et les bonnes pratiques.

    Si tous les hébergeurs suivent la même logique, ça va donner pas mal de boulot au agences web en terme de refonte de sites.
     
  6. Marie-Aude
    Marie-Aude WRInaute accro
    Inscrit:
    5 Juin 2006
    Messages:
    16 368
    J'aime reçus:
    2
    C'est OVH qui va être content :)
     
  7. loran750
    loran750 WRInaute passionné
    Inscrit:
    15 Mars 2005
    Messages:
    2 019
    J'aime reçus:
    0
    @wattie : tout juste, en ce moment ça se bouscule au portillon : soit je procède à une refonte, soit je les mets sur mon serveur (PHP en multi-version) pour patienter.

    par contre, ce n'est pas le 1er mai, mais le 1er avril. Soit dans moins de 3 semaines :)
     
  8. StefouFR
    StefouFR Guest
    1&1 à prévenu il y a longtemps cette obligation de migration. Ce n'est une surprise pour personne qu est client chez 1&1.
     
  9. loran750
    loran750 WRInaute passionné
    Inscrit:
    15 Mars 2005
    Messages:
    2 019
    J'aime reçus:
    0
    StefouFR, crois moi, il y en a plein qui n'ont pas encore migré (pour ceux qui ont un site non compatible PHP 5.4).
    Pourquoi ? Parce qu'ils ne sont pas spécialistes/techniciens/informaticien/développeur/... et que la version de PHP est une notion très éloignée de leurs préoccupations. Pour beaucoup, connaitre juste l'existence de PHP est déjà pas si mal.
     
  10. StefouFR
    StefouFR Guest
    Je suis d'accord avec toi, je parlais seulement du fait que 1&1 à prévenu cela depuis longtemps. Ils n'ont pas fait ça en traitre.

    Mais bien sûr pour beaucoup cela va rester obscur.
     
  11. zeb
    zeb WRInaute accro
    Inscrit:
    5 Décembre 2004
    Messages:
    12 192
    J'aime reçus:
    1
    Même pas besoins de passer par là il y a un sélecteur de version dans le panel admin donc tu peut changer ta version php en live sans te prendre la tête (j'ai d'ailleurs trouvé ça cool dans l'optique de cette migration).
    Après c'est aussi pour moi l’occasion de leur mettre la pression car ça fait des mois qu'ils me promettent de se réunir pour fixer le cahier des charges de la nouvelle version du site et moi ça me soule d'en parler depuis un an et de ne pas avoir de réponse ...
     
  12. pharrell
    pharrell WRInaute discret
    Inscrit:
    26 Novembre 2011
    Messages:
    93
    J'aime reçus:
    0
    Ah ben par exemple moi je n'étais pas au courant...

    Je suis sur un dédié (clé en main) avec wordpress 3.5.1 (dernière version), avec une base mysql 5

    Je dois ajouter les 2 lignes de code dans le .htaccess ou autre chose?
     
  13. zeb
    zeb WRInaute accro
    Inscrit:
    5 Décembre 2004
    Messages:
    12 192
    J'aime reçus:
    1
    Pas sur que ça impacte les dédiés surtout si tu n'a pas été averti par mail. Sinon il y a rien a mettre dans le htaccess car c'est une suppression de php 4 et php 5.2 au profit de 5.4.12 donc t'aura beau faire tout ce que tu veux si le code est pas compatible ça partira en live.

    Bizarrement j'ai un serveur mutu qui date de la genèse chez eux qui ne semble pas impacté, suis passé en 5.4.12 et malgré un code pas full compatible ça bronche pas ....
     
  14. nervusdm
    nervusdm WRInaute impliqué
    Inscrit:
    5 Janvier 2008
    Messages:
    616
    J'aime reçus:
    0
    Qu'est-ce que ça change concrètement ?
    Des fonctions plus disponibles ?
     
  15. zeb
    zeb WRInaute accro
    Inscrit:
    5 Décembre 2004
    Messages:
    12 192
    J'aime reçus:
    1
    il y a eu une évolution sur les expressions régulières entre ces deux versions "ereg" est supprimé par exemple (passé en "preg"), certains type de variables serveur aussi, il me semble que la gestion des globales est différente aussi, mais j'ai pas souvenir des trucs qui ne m'impactait pas et j'ai pas trouvé une liste détaillée donc j'y suis allé a taton.
    Faut dire que dans mon cas c'était un souci entre 5.2 et 5.4 il y a bien longtemps que j'avais fait la migration php 4 -> 5
     
  16. nervusdm
    nervusdm WRInaute impliqué
    Inscrit:
    5 Janvier 2008
    Messages:
    616
    J'aime reçus:
    0
    Ouais c'est bien ce que je me disais.
    Donc en fait j'ai du mal à comprendre pourquoi ce changement de 1&1 en fait.
    Peut être que PHP a eu des optimisations côté serveur du coup ?
     
  17. zeb
    zeb WRInaute accro
    Inscrit:
    5 Décembre 2004
    Messages:
    12 192
    J'aime reçus:
    1
    Ils invoquent des raisons de fiabilité. Mais si tu prend en compte qu'ils ont ouvert un nouveau datacenter et qu'ils poussent a migrer leurs anciens packs vers des solutions plus récentes, je pense surtout qu'ils sont en train d'uniformiser leur infra serveur pour des raisons de facilité de gestion en virant les vieux trucs.
     
  18. spout
    spout WRInaute accro
    Inscrit:
    14 Mai 2003
    Messages:
    9 004
    J'aime reçus:
    284
  19. CDR
    CDR Nouveau WRInaute
    Inscrit:
    29 Septembre 2011
    Messages:
    9
    J'aime reçus:
    0
    C'est peu-être également une politique de sécurité. Beaucoup de failles ont été détectées et corrigées avec la version 5. Etre à niveau dans les technologies augmente la fiabilité et réduira sans doute le nombre d'appels du genre 'mon site ne marche plus' ou 'mon site à été piraté', alors que cela est due à des scripts codés à l'ancienne ou alors de façon chaotique. Le PHP5 est beaucoup plus exigeant que les versions antérieures.
     
  20. noren
    noren WRInaute accro
    Inscrit:
    8 Avril 2011
    Messages:
    2 906
    J'aime reçus:
    14
    Il me semble également que Mysql_connect va devenir obsolète non?
    Il va falloir passer par mysqli ou PDO? je me trompe? est-ce que ca fait parti des changements qu'il va falloir se dépêcher de faire?

    Perso j'ai pas encore prévu de faire ce changement qui va être assez lourd :/
     
  21. zeb
    zeb WRInaute accro
    Inscrit:
    5 Décembre 2004
    Messages:
    12 192
    J'aime reçus:
    1
    Pas que je sache.
     
  22. spout
    spout WRInaute accro
    Inscrit:
    14 Mai 2003
    Messages:
    9 004
    J'aime reçus:
    284
    Ce qui a changé concernant MySQL & PHP5 c'est:
     
  23. noren
    noren WRInaute accro
    Inscrit:
    8 Avril 2011
    Messages:
    2 906
    J'aime reçus:
    14
    Ok merci :wink:

    Pour mes sites j'avais déjà mis depuis un bon moment la ligne suivante dans mes .htaccess :

    SetEnv PHP_VER 5

    j'ai pas de soucis en particulier, donc ça devrait aller au niveau de mon code, même si il faudrait vraiment que je me penche sur la programmation orienté objet et que je passe aussi par PDO vu que msql_connect est devenu obsolète. Tôt ou tard ca risque de ne plus être pris en compte :/

    Et mieux vaut s'y prendre à l'avance
     
  24. f_trt
    f_trt WRInaute impliqué
    Inscrit:
    17 Septembre 2005
    Messages:
    970
    J'aime reçus:
    0
    POISSON D'AVRIL Lol

    En tous les cas bon courage à ceux qui sont impactés.
     
  25. velphia
    velphia Nouveau WRInaute
    Inscrit:
    13 Mai 2009
    Messages:
    15
    J'aime reçus:
    0
    Bonjour,

    J'ai un vieux joomla 1.5 qui tourne en mutu chez 1&1. Je ne peux pas le migrer vers la version 2.5 car un composant avait été créé spécialement pour le site et je me vois mal demander à mon client 3 ans seulement après la création du site de remettre le même prix pour redévelopper le site sous 2.5... du coup jsuis dans la mouise ! Est-ce que la fin du php4 aura des conséquences sur mon joomla (je suis plus webdesigner que développeur donc j'ai encore pas mal de lacune... désolé des questions bêtes)
    Je sais que dans mon htaccess j'avais écrit AddType x-mapp-php5 .php

    Merci
     
  26. JanoLapin
    JanoLapin WRInaute accro
    Inscrit:
    21 Septembre 2008
    Messages:
    4 250
    J'aime reçus:
    0
    moi je ne me sors aps de cette hitsoire. Une vraie galère... je crosi que je vais finir par me chercher un hébergeur qui propose encore du php4... bien que je doute que cela existe encore!

    @velphia: si ton htaccess t'a bien fait passer à php5 alors tu n'as rien à craindre. Si tu veux le vérifier, apsser par le sélecteur de version php de ton interface client.
     
  27. wattie
    wattie WRInaute discret
    Inscrit:
    9 Septembre 2008
    Messages:
    93
    J'aime reçus:
    0
    @JanoLapin
    En effet, rien entendu de tel du côté d'OVH. Le PHP4 est toujours en place chez eux.
     
  28. spout
    spout WRInaute accro
    Inscrit:
    14 Mai 2003
    Messages:
    9 004
    J'aime reçus:
    284
    Vouloir à tout prix rester sur du PHP4, c'est repousser les misères à plus tard.
    PHP 5 est sorti en 2004 ... :roll:
     
  29. JanoLapin
    JanoLapin WRInaute accro
    Inscrit:
    21 Septembre 2008
    Messages:
    4 250
    J'aime reçus:
    0
    Ouais enfin bons, de là à aller chez OVH... il en faudrait plus que ça.

    @spout: je suis bien d'accord avec toi. Le pb est que la migration (l'upgrade) du script était déjà problémnatique, donc que ça a été repoussé / ignoré. Et que maintenat il faut passer par une série d'upgrade successifs.. toujours aussi problématiques. Avec la pression du temps en plus: bref, une fois encore: ignorer le problème à l'époque a mené à l'effet boule de neige!
     
  30. zeb
    zeb WRInaute accro
    Inscrit:
    5 Décembre 2004
    Messages:
    12 192
    J'aime reçus:
    1
    C'est pas de php 5.4.12 que tu devrai t'inquiéter mais d'autre chose ... 8O

    @ le lapin > tu veux un coup de main ? t'a pensé a garder juste les datas et virer le soft pour un truc compatible ?
     
  31. JanoLapin
    JanoLapin WRInaute accro
    Inscrit:
    21 Septembre 2008
    Messages:
    4 250
    J'aime reçus:
    0
    @zeb: merçi de ta proposition. Je te MP
     
  32. f_trt
    f_trt WRInaute impliqué
    Inscrit:
    17 Septembre 2005
    Messages:
    970
    J'aime reçus:
    0
    Alors tu es peut-être déjà en Php 5 non ?
    Pour avoir confirmation tu fais un petit fichier par exemple test.php et dedans tu mets simplement :

    Code:
    <?php
    echo phpinfo();
    ?>
    
    Tu places ensuite ce fichier sur ton hebergement, et ensuite tu l'appel de ton navigateur, tu auras ainsi les infos sur le php de ton hebergement. Je connais pas Joomla peut-être qu'il y a dans l'admin les infos sur le php à voir.

    Ce que tu pourrais faire aussi c'est mettre une copie de ton site en test sur un hebergement php5 ou en local via les easyphp et autres, peut-être que tu n'auras pas grand chose à modifier en tous les cas cela pourras servir aussi de base de travail pour test.
     
  33. zeb
    zeb WRInaute accro
    Inscrit:
    5 Décembre 2004
    Messages:
    12 192
    J'aime reçus:
    1
    Le plus simple que j'ai trouvé c'est de créer un sous domaine de dev protégé avec un htaccess et de faire une copie du site pour travailler dessus.
     
  34. wattie
    wattie WRInaute discret
    Inscrit:
    9 Septembre 2008
    Messages:
    93
    J'aime reçus:
    0
    :mrgreen: Encore plus de NEUF !! :mrgreen:
    Le 01/05, c'est MySQL 4 qui vas disparaitre de chez 1and1au profit de MySQL5.
     
  35. zeb
    zeb WRInaute accro
    Inscrit:
    5 Décembre 2004
    Messages:
    12 192
    J'aime reçus:
    1
    bah ça c'est pas un problème majeur ... en plus en récréant tes bases tu va profiter de base 1Go au lieu de 100Mo
     
  36. wattie
    wattie WRInaute discret
    Inscrit:
    9 Septembre 2008
    Messages:
    93
    J'aime reçus:
    0
    Vivement la démocratisation du PHP7 :rolleyes:
     
Chargement...
Similar Threads - [1&1] Bientôt fin Forum Date
Bientôt mes 2 ans sur WRI Le café de WebRankInfo 17 Octobre 2019
Plainte antitrust contre Android : bientôt l'amende ? Google : l'entreprise, les sites web, les services 8 Juin 2018
AMP, c'est bientôt fini Débuter en référencement 10 Mars 2018
[Google] Bientot AMP pour tous Référencement Google 2 Août 2016
Pagespeed bientôt en module Nginx ? Administration d'un site Web 19 Décembre 2015
Priceminister bientot penalisé? Netlinking, backlinks, liens et redirections 8 Février 2014
Google shoping bientôt payant e-commerce 13 Août 2012
ClockOnline - Programmez vos statuts (et bientot vos tweets) Demandes d'avis et de conseils sur vos sites 23 Juillet 2012
Analytics bientôt payant ? Google Analytics 22 Juillet 2012
Bientôt un outil pour signaler à Google tout mauvais lien pointant vers votre site Google : l'entreprise, les sites web, les services 6 Juin 2012
  1. Ce site utilise des cookies. En continuant à utiliser ce site, vous acceptez l'utilisation des cookies.
    Rejeter la notice